Cyberduck Mountain Duck CLI

#7940 closed defect (fixed)

Only single login attempt possible

Reported by: steven te brinke Owned by: dkocher
Priority: normal Milestone: 4.4.5
Component: webdav Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description (last modified by dkocher)

When I try to login with WebDAV, if I receive a 401 Unauthorized response from the server, I cannot login afterwards. Usually, WebDAV tries an anonymous login first, which always triggers this error, but if I type username@domain and enter my password correct the first time, everything works fine. What happens is the following:

  • 1) I try to open a connection with my server.
  • 2) The server logs a HEAD request with username (anonymous, for example) and replies 401.
  • 3) I change the username and/or password.
  • 4) The server logs a HEAD request without username and replies 401.
  • 5) I can repeat with step 3, but only restarting Cyberduck gets me back to step 1.

So it seems that at subsequent requests, the webserver does not receive the credentials correctly. The webserver is Apache 2.2.22 running on Debian. If you need more information, please let me know.

Change History (3)

comment:1 Changed on May 8, 2014 at 5:58:18 PM by dkocher

  • Description modified (diff)
  • Milestone set to 4.4.5

comment:2 Changed on May 9, 2014 at 7:54:10 AM by dkocher

Added failing test in r14571.

comment:3 Changed on May 13, 2014 at 1:19:56 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r14595.

Note: See TracTickets for help on using tickets.
swiss made software